Traffic Resources
Returns a map of resource-hash to resource-ID for all CDN resources (streams, push zones, pull zones) on the account. Use the returned hashes in resource_hashes filter fields on all other analytics endpoints.
curl -X POST "https://api.5centscdn.com/v2/analytics/traffic/resources" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"resource_type": "push"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/analytics/traffic/resources"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"resource_type": "push"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/analytics/traffic/resources", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"resource_type": "push"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"resource_type": "push"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/analytics/traffic/resources", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/analytics/traffic/resources')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"resource_type": "push"
}'
response = http.request(request)
puts response.body
{
"sample-hash-abc12": 10001,
"sample-hash-def34": 10002,
"sample-hash-ghi56": 10003
}
/analytics/traffic/resources
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Filter to a specific resource type. Omit to return all resource types.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Filter to a specific resource type. Omit to return all resource types.
pushpullalllivestreamResponses
Returns a map of resource-hash to resource-ID for all CDN resources on the account